﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace DisplayEditorTemplatesForBlog.Controllers
{
    public class OrderTicketsModel
    {
        public RegistrationModel FirstPassenger { get; set; }
        public RegistrationModel SecondPassenger { get; set; }
    }

    public class CustomTemplatesController : Controller
    {
        public ActionResult Index(RegistrationModel model)
        {
            return View(model);
        }

        public ActionResult Index2(OrderTicketsModel model)
        {
            return View(model);
        }



        public enum Sex
        {
            [Display(Name = "мужской")]
            Male,
            [Display(Name = "женский")]
            Female
        }
        public class Model1
        {
            public Sex Sex { get; set; }
        }
        public class Model2
        {
            [UIHint("Enum_AsDropDownList")]
            public Sex Sex { get; set; }
        }
        public class Model3
        {
            [UIHint("Enum_AsRadioButtonList")]
            public Sex Sex { get; set; }
        }
        public class CompositeModel
        {
            public Model1 Model1 { get; set; }
            public Model2 Model2 { get; set; }
            public Model3 Model3 { get; set; }

            public CompositeModel()
            {
                Model1 = new Model1();
                Model2 = new Model2();
                Model3 = new Model3();
            }
        }

        public ActionResult EnumTemplates(CompositeModel model)
        {
            return View(model);
        }
    }
}
