﻿using System;
using System.Web.Mvc;

namespace DisplayEditorTemplatesForBlog.Controllers
{
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = false, Inherited = true)]
    public class DisplayLabelAttribute : Attribute, IMetadataAware
    {
        private readonly bool _visible;
        public DisplayLabelAttribute(bool visible)
        {
            _visible = visible;
        }

        public void OnMetadataCreated(ModelMetadata metadata)
        {
            metadata.HideSurroundingHtml = !_visible;
        }
    }
}