﻿using System;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace DisplayEditorTemplatesForBlog.Controllers
{

    public class RegistrationModel
    {
        public string Login { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public DateTime Birthdate { get; set; }
    }

    public class RegistrationModel2
    {
        [HiddenInput(DisplayValue = false)]
        public int Id { get; set; }
        public string Login { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public DateTime Birthdate { get; set; }
    }

    public class RegistrationModel3
    {
        [DisplayLabel(false)]
        public string Login { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public DateTime Birthdate { get; set; }
    }

    public class HomeController : Controller
    {

        public ActionResult Index() {
            return View();
        }

        public ActionResult Index1(RegistrationModel model)
        {
            return View(model);
        }


        public ActionResult Index2()
        {
            return View(new RegistrationModel { Birthdate = new DateTime(1985, 5, 12), FirstName = "Artur", Login = "Shaddix", LastName = "Drobinskiy" });
        }

        public ActionResult SomeHiddenFields()
        {
            return View(new RegistrationModel2 { Id = 10, Birthdate = new DateTime(1985, 5, 12), FirstName = "Artur", Login = "Shaddix", LastName = "Drobinskiy" });
        }


        public ActionResult NoLabelForLogin()
        {
            return View(new RegistrationModel3 { Birthdate = new DateTime(1985, 5, 12), FirstName = "Artur", Login = "Shaddix", LastName = "Drobinskiy" });
        }





        //public ActionResult Index4()
        //{
        //    return View(new RegistrationModel());
        //}
        //public ActionResult Index5()
        //{
        //    return View(new RegistrationModel { Birthdate = new DateTime(1985, 5, 12), FirstName = "Artur", Login = "Shaddix", LastName = "Drobinskiy" });
        //}

        //public class OrderTicketsModel
        //{
        //    public RegistrationModel FirstPassenger { get; set; }
        //    public RegistrationModel SecondPassenger { get; set; }
        //}

        //public ActionResult Index6()
        //{
        //    return View(new OrderTicketsModel());
        //}

        //[AttributeUsage(AttributeTargets.Property, AllowMultiple = false, Inherited = true)]
        //public sealed class DisplayLabelAttribute : Attribute, IMetadataAware
        //{
        //    private readonly bool _visible;
        //    public DisplayLabelAttribute(bool visible)
        //    {
        //        _visible = visible;
        //    }

        //    public void OnMetadataCreated(ModelMetadata metadata)
        //    {
        //        metadata.HideSurroundingHtml = !_visible;
        //    }
        //}

    }
}
