﻿using System;
using System.ComponentModel.DataAnnotations;

namespace DisplayEditorTemplatesForBlog.Controllers
{
    public static class HtmlExtensions
    {
        // Looks for a [Display(Name="Some Name")] or a [Display(Name="Some Name", ResourceType=typeof(ResourceFile)] Attribute on your enum
        public static string GetDescription(this Enum en)
        {
            var type = en.GetType();
            System.Reflection.MemberInfo[] memInfo = type.GetMember(en.ToString());

            if (memInfo != null && memInfo.Length > 0)
            {

                object[] attrs = memInfo[0].GetCustomAttributes(typeof(DisplayAttribute),
                                                                false);

                if (attrs != null && attrs.Length > 0)
                    return ((DisplayAttribute)attrs[0]).GetName();
            }

            return en.ToString();
        }
    }
}